Bug 437150 - tzdata needlessly requires recent glibc
tzdata needlessly requires recent glibc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
: EasyFix, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:54 EDT by Jay Turner
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-12 12:54:35 EDT
Description of problem:

tzdata has a BuildRequire for a recent glibc-devel. That is completely bogus --
older glibc-devel doesn't cause the build to fail, and for newer releases it
will build against new glibc-devel anyways.

This is just an inconvenience for users with older glibcs that would attempt to
use build the package for their older systems on them.

Please remove it.
Comment 1 Petr Machata 2008-03-12 13:16:54 EDT
glibc after indicated version contains newer zoneinfo compiler, which produces
zoneinfo data in format that 64bit machines (or, more exactly, machines with
64bit time_t) need to take care of dates beyond 2037.
Comment 2 Lubomir Kundrak 2008-03-12 13:48:49 EDT
That doesn't seem to be related to what did I file the bug for. Are the zoneinfo
files compiled by previous versions faulty (where faulty doesn't mean that years
after 2037 won't be taken into account correctly)?
Comment 3 Petr Machata 2008-03-12 13:59:30 EDT
No, absolutely not.  But they are not suitable for handling post-2037 dates. 
That's the reason why the require is there.
Comment 4 Lubomir Kundrak 2008-03-12 14:08:19 EDT
Petr: You are abusing BuildRequires for something it was never meant for -- to
enforce features. Omitting that dependency will not break anything anywhere, on
older systems it just won't take advantages it didn't exist there. There's
nothing wrong with that. Please remove it.
Comment 5 Bug Zapper 2008-05-14 01:59:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:44:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:14:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.